[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TList.Insert

Inserts a new pointer in the list at a given position.

## Declaration

Source position: classesh.inc line 337

`public procedure TList.Insert(`
`Index: Integer;`
`Item: Pointer`
`);`

## Arguments

`Index` |  | Position where to insert
`Item` |  | Pointer to be inserted.

## Description

Insert inserts pointer Item at position Index in the list. All pointers starting from Index are shifted to the right.

If Index is not a valid position, then a EListError exception is raised.

## See also

Add |  | Adds a new pointer to the list.
Delete |  | Removes a pointer from the list.